vector.h File Reference

Generic vector interface header. More...

Go to the source code of this file.

## Data Structures

struct | _vector

## Macros

#define | VECTOR_MIN_SIZE 1
#define | vector_slot(V, I) ((V)->index[(I)])
#define | vector_active(V) ((V)->active)

## Typedefs

typedef struct _vector * | vector

## Functions

vector | vector_init (unsigned int size)
void | vector_ensure (vector v, unsigned int num)
int | vector_empty_slot (vector v)
int | vector_set (vector v, void *val)
int | vector_set_index (vector v, unsigned int i, void *val)
void | vector_unset (vector v, unsigned int i)
unsigned int | vector_count (vector v)
void | vector_only_wrapper_free (vector v)
void | vector_only_index_free (void *index)
void | vector_free (vector v)
vector | vector_copy (vector v)
void * | vector_lookup (vector, unsigned int)
void * | vector_lookup_ensure (vector, unsigned int)

## Variables

void * | tall_vty_vec_ctx

## Detailed Description

Generic vector interface header.

## Macro Definition Documentation

## vector_active

#define vector_active | ( |  | V | ) | ((V)->active)

## VECTOR_MIN_SIZE

#define VECTOR_MIN_SIZE 1

## vector_slot

#define vector_slot | ( |  | V,
|  |  | I
| ) |  | ((V)->index[(I)])

## Typedef Documentation

## vector

typedef struct _vector* vector